package com.muyu.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.Map;

/**
 * 资产赋权对象 asset_impower
 *
 * @author Saisai
 * @date 2024-04-28
 */

public class AssetImpower extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    @Override
    public String toString() {
        return "AssetImpower{" +
                "id=" + id +
                ", tableId=" + tableId +
                ", deptId=" + deptId +
                ", basicId=" + basicId +
                ", userId=" + userId +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTableId() {
        return tableId;
    }

    public void setTableId(Long tableId) {
        this.tableId = tableId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getBasicId() {
        return basicId;
    }

    public void setBasicId(Long basicId) {
        this.basicId = basicId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * 表id
     */
    @Excel(name = "表id")
    private Long tableId;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 接入id
     */
    @Excel(name = "接入id")
    private Long basicId;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

    public AssetImpower(BaseEntityBuilder<?, ?> b, Long id, Long tableId, Long deptId, Long basicId, Long userId) {
        super(b);
        this.id = id;
        this.tableId = tableId;
        this.deptId = deptId;
        this.basicId = basicId;
        this.userId = userId;
    }

    public AssetImpower(Long id, Long tableId, Long deptId, Long basicId, Long userId) {
        this.id = id;
        this.tableId = tableId;
        this.deptId = deptId;
        this.basicId = basicId;
        this.userId = userId;
    }

    public AssetImpower(String searchValue, String createBy, Date createTime, String updateBy, Date updateTime, String remark, Map<String, Object> params, Long id, Long tableId, Long deptId, Long basicId, Long userId) {
        super(searchValue, createBy, createTime, updateBy, updateTime, remark, params);
        this.id = id;
        this.tableId = tableId;
        this.deptId = deptId;
        this.basicId = basicId;
        this.userId = userId;
    }

//    public static AssetImpower saveAssetImpower
//            (Long deptId,Long userId,AssetImpower assetImpower){
//        return AssetImpower.builder()
//                .basicId(assetImpower.getBasicId())
//                .tableId(assetImpower.getTableId())
//                .deptId(deptId)
//                .userId(userId)
//                .build();
//    }

}
