package com.muyu.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
/**
 * @Author：qdm
 * @Package：com.muyu.domain
 * @Project ：cloud-etlw3123123
 * @name：Rule
 * @Date：2024/8/21 19:34
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "客户支付单", description = "客户支付单简略信息")
public class Rule {
    /**
     * 规则引擎id
     */
    private Integer  id;
    /**
     * 规则引擎名称
     */
    @Schema(name = "规则名称", type = "String", defaultValue = "基础规则", description = "规则名称")
    private String  name;
    /**
     * 规则类型
     */
    @Schema(name = "规则类型", type = "Integer", defaultValue = "1", description = "规则类型")
    private Integer  type;
    /**
     * 规则作用域
     */
    @Schema(name = "规则作用域", type = "Integer", defaultValue = "1", description = "规则作用域")
    private Integer  actionScope;
    /**
     * 规则邮编码
     */
    @Schema(name = "规则邮编码", type = "String", defaultValue = "123456", description = "规则邮编码")
    private String  code;
    /**
     * 是否激活
     */
    @Schema(name = "是否激活", type = "Integer", defaultValue = "1", description = "是否激活")
    private Integer  flag;
    /**
     * 规则状态
     */
    @Schema(name = "规则状态", type = "Integer", defaultValue = "1", description = "规则状态")
    private Integer  status;
}
